Module java.desktop
Package javax.swing.plaf.metal

## Class MetalComboBoxUI.MetalPropertyChangeListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler
  - - javax.swing.plaf.metal.MetalComboBoxUI.MetalPropertyChangeListener

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  MetalComboBoxUI

    public class MetalComboBoxUI.MetalPropertyChangeListener
    extends BasicComboBoxUI.PropertyChangeHandler

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalComboBoxUI`.

### Constructor Summary

Constructors
`MetalPropertyChangeListener()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

### Constructor Detail

#### MetalPropertyChangeListener

    public MetalPropertyChangeListener()